package com.ruoyi.project.asset.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.asset.mapper.TLeakagePointsRecordMapper;
import com.ruoyi.project.asset.domain.TLeakagePointsRecord;
import com.ruoyi.project.asset.service.ITLeakagePointsRecordService;

/**
 * 漏点巡检记录 Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-01
 */
@Service
public class TLeakagePointsRecordServiceImpl implements ITLeakagePointsRecordService 
{
    @Autowired
    private TLeakagePointsRecordMapper tLeakagePointsRecordMapper;

    /**
     * 查询漏点巡检记录 
     * 
     * @param id 漏点巡检记录 主键
     * @return 漏点巡检记录 
     */
    @Override
    public TLeakagePointsRecord selectTLeakagePointsRecordById(Long id)
    {
        return tLeakagePointsRecordMapper.selectTLeakagePointsRecordById(id);
    }

    /**
     * 查询漏点巡检记录 列表
     * 
     * @param tLeakagePointsRecord 漏点巡检记录 
     * @return 漏点巡检记录 
     */
    @Override
    public List<TLeakagePointsRecord> selectTLeakagePointsRecordList(TLeakagePointsRecord tLeakagePointsRecord)
    {
        return tLeakagePointsRecordMapper.selectTLeakagePointsRecordList(tLeakagePointsRecord);
    }

    /**
     * 新增漏点巡检记录 
     * 
     * @param tLeakagePointsRecord 漏点巡检记录 
     * @return 结果
     */
    @Override
    public int insertTLeakagePointsRecord(TLeakagePointsRecord tLeakagePointsRecord)
    {
        return tLeakagePointsRecordMapper.insertTLeakagePointsRecord(tLeakagePointsRecord);
    }

    /**
     * 修改漏点巡检记录 
     * 
     * @param tLeakagePointsRecord 漏点巡检记录 
     * @return 结果
     */
    @Override
    public int updateTLeakagePointsRecord(TLeakagePointsRecord tLeakagePointsRecord)
    {
        return tLeakagePointsRecordMapper.updateTLeakagePointsRecord(tLeakagePointsRecord);
    }

    /**
     * 批量删除漏点巡检记录 
     * 
     * @param ids 需要删除的漏点巡检记录 主键
     * @return 结果
     */
    @Override
    public int deleteTLeakagePointsRecordByIds(Long[] ids)
    {
        return tLeakagePointsRecordMapper.deleteTLeakagePointsRecordByIds(ids);
    }

    /**
     * 删除漏点巡检记录 信息
     * 
     * @param id 漏点巡检记录 主键
     * @return 结果
     */
    @Override
    public int deleteTLeakagePointsRecordById(Long id)
    {
        return tLeakagePointsRecordMapper.deleteTLeakagePointsRecordById(id);
    }
}
